Padre::Task::FindVariableDeclaration(3)

NAME
Padre::Task::FindVariableDeclaration - Finds where a variable was declared using PPI

SYNOPSIS
  # Find declaration of variable at cursor
  my $task = Padre::Task::FindVariableDeclaration->new(
          document => $document_obj,
          location => [ $line, $column ], # ppi-style location is okay, too
  );

  $task->schedule;

DESCRIPTION
Finds out where a variable has been declared. If unsuccessful, a message box tells the user about that glorious fact. If a declaration is found, the cursor will jump to it.

SEE ALSO
This class inherits from "Padre::Task::PPI".

AUTHOR
Steffen Mueller "smueller@cpan.org"

COPYRIGHT AND LICENSE
Copyright 2008-2013 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.